DXPQNU(3)

SYNOPSIS
SUBROUTINE DXPQNU (NU1, NU2, MU, THETA, ID, PQA, IPQA, IERROR)

NAME
dxpqnu - To compute the values of Legendre functions for DXLEGF. This subroutine calculates initial values of P or Q using power series, then performs forward nu-wise recurrence to obtain P(-MU,NU,X), Q(0,NU,X), or Q(1,NU,X). The nu-wise recurrence is stable for P for all mu and for Q for mu=0,1.

LIBRARY
SLATEC

CATEGORY
C3A2, C9

TYPE
DOUBLE PRECISION (XPQNU-S, DXPQNU-D)

KEYWORDS
LEGENDRE FUNCTIONS

AUTHOR
Smith, John M., (NBS and George Mason University)

ROUTINES CALLED
DXADD, DXADJ, DXPSI

COMMON BLOCKS
DXBLK1

REVISION HISTORY (YYMMDD)
820728 DATE WRITTEN
890126 Revised to meet SLATEC CML recommendations. (DWL and JMS)
901019 Revisions to prologue. (DWL and WRB)
901106 Changed all specific intrinsics to generic. (WRB) Corrected order of sections in prologue and added TYPE section. (WRB)
920127 Revised PURPOSE section of prologue. (DWL)